Ubuntu dock/launcher is shown on the lock screen

Bug #1769383 reported by Jenka Hanson on 2018-05-05
This bug affects 219 people
Affects Status Importance Assigned to Milestone
gnome-shell (Ubuntu)
High
Andrea Azzarone
Bionic
Undecided
Andrea Azzarone
Cosmic
Undecided
Andrea Azzarone
Disco
High
Andrea Azzarone
gnome-shell-extension-ubuntu-dock (Ubuntu)
High
Andrea Azzarone
Bionic
High
Andrea Azzarone
Cosmic
High
Andrea Azzarone
Disco
High
Andrea Azzarone

Bug Description

[Impact]
When entering the lock-screen mode, gnome-shell disables all the extensions. It can happen that under certain conditions ubuntu-dock re-enables itself, causing the ubuntu-dock to appear in the lock-screen, exposing sensitive information. One possible way to reproduce this is to enable dash-to-dock and ubuntu-dock at the same time.

[Test Case]
1. Make sure ubuntu-dock is enabled
2. Enable dash-to-dock too
3. Lock the screen
4. Make sure the dock does not appear on the lock screen
5. Make sure there is no warning is the journal

[Possible Regressions]
Even if it's something we don't really support please make sure that you can use dash-to-dock without uninstalling ubuntu-dock.

[Original Bug]

After an update from ubuntu 16.04 to 18.04 the dock is aviable on the lockscreen after user login.
I did not configure this knowingly. Also i can start every application which is available on the dock.
Settings, virtual box, visualstudio code and so on.

After the update to 18.04 i just configure the screen frequency to 144Hz and the night mode on. And attach the dock on bottom.

I later undid these customizations back to configuration before, but the dock is stil aviable on lockscreen.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: gnome-settings-daemon 3.28.1-0ubuntu1
ProcVersionSignature: Ubuntu 4.15.0-20.21-generic 4.15.17
Uname: Linux 4.15.0-20-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.9-0ubuntu7
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Sat May 5 18:30:16 2018
InstallationDate: Installed on 2018-04-08 (27 days ago)
InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64 (20180228)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
SourcePackage: gnome-settings-daemon
UpgradeStatus: Upgraded to bionic on 2018-05-01 (3 days ago)
---
ApportVersion: 2.20.9-0ubuntu7
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 18.04
InstallationDate: Installed on 2018-04-08 (27 days ago)
InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64 (20180228)
NonfreeKernelModules: nvidia_modeset nvidia
Package: gnome-shell-extension-ubuntu-dock 0.9.1
PackageArchitecture: all
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 4.15.0-20.21-generic 4.15.17
Tags: bionic
Uname: Linux 4.15.0-20-generic x86_64
UpgradeStatus: Upgraded to bionic on 2018-05-01 (4 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True

Jenka Hanson (jenia) wrote :
Jenka Hanson (jenia) wrote :
Jenka Hanson (jenia) wrote :
Tom Reynolds (tomreyn) on 2018-05-05
affects: gnome-settings-daemon (Ubuntu) → gnome-shell-extension-ubuntu-dock (Ubuntu)

apport information

tags: added: apport-collected
description: updated

apport information

It is also possible to close running applications or remove the icons from dock.

information type: Private Security → Public Security
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell-extension-ubuntu-dock (Ubuntu):
status: New → Confirmed
Sebastien Bacher (seb128) wrote :

Do users hitting that issue played with dash-to-dock/gnome-tweaks? Could you attach your journal log after getting the issue?

Changed in gnome-shell (Ubuntu):
importance: Undecided → High
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu):
importance: Undecided → High
summary: - Dockbar after login is aviable in lockscreen
+ Ubuntu dock/launcher is shown on the lock screen
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell (Ubuntu):
status: New → Confirmed
Simon P. (simpre) wrote :

I am experiencing this issue too since the upgrade to 18.10. Sometimes in addition to the launcher I can even see an open program! Cannot use the program interface though before going to the unlock screen by pressing super + l and unlocking the system.

I have gnome-tweaks installed, used it only to activate the Yaru theme which was not working after the upgrade (bug 1798984). So I guess that doesn't qualify as play with it.

Simon P. (simpre) wrote :

Seems it was fixed with the last update. At least for me.

Simon P. (simpre) wrote :

No, still there. Lockscreen worked flawless for the last couple of locks, but I just ran into the same bug again.

Sebastien Bacher (seb128) wrote :

can you attach the journal log?

Changed in gnome-shell (Ubuntu):
status: Confirmed → Incomplete
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu):
status: Confirmed → Incomplete
Bogdan Radu (bog-radu) wrote :

I still see this as well. I also notice that when hovering over the bar after this starts happening, it resizes by a few px.

It also results in things like remmina no longer populating it OR the top bar with its icons.

I do have gnome-tweaks installed, and seems that the resizing issue goes away when I start it up and change the hinting mode.

This happened to me when using Ubuntu Cosmic Cuttlefish with htop and tilix installed beyond the clean install. I was able to open the applications that are available in the dock and noticed the bar resizing when hovering over it.

Later multiple graphical bugs started to happen and in the next boot Xorg was failing to start. Rebooting again solved the login issues.

Plurtu (plurtu) wrote :

Workaround for 18.10 is to change the Dash to Dock setting "Customize opacity - Tune the dash background opacity" to "Fixed".

Ads20000 (ads20000) wrote :

Sebastien, here's the journal output (`journalctl -f` that's produced when I lock my screen on Ubuntu 18.10 and I reproduce this bug): https://paste.ubuntu.com/p/Y3MxnXzqXq/

Didier Roche (didrocks) wrote :

The best way to get it fixed is to be able to disable mod extensions, which is something I'm working on, and you can follow it on https://gitlab.gnome.org/GNOME/gnome-shell/merge_requests/2. This will probably be for dingo.

Mike Chaberski (mchaberski) wrote :

This seems like a duplicate of #1716982, but maybe it's a regression after that was fixed. Anyway, commenter ernstp identifies the cause in comment #12 [1]:

> Is it some global variable name conflict between the two extensions? "dockManager" perhaps?

You can edit /<email address hidden>/extension.js to check for a null dockManager in the disable() function. That is, change

    dockManager.destroy()

to

    if (dockManager != null) {
        dockManager.destroy();
    }

and the dock disappears when the screen is locked, as expected.

I'm guessing the problem is that Dash To Dock sets dockManager to null after calling destroy(), and then Ubuntu Dock throws a TypeError when it tries to do the same, so Ubuntu Dock never reaches the ExtensionSystem.disconnect() call.

[1] https://bugs.launchpad.net/ubuntu/+source/gnome-shell-extension-ubuntu-dock/+bug/1716982/comments/12

Plurtu (plurtu) wrote :

On 18.10 it still happens without Dash to Dock being installed.

I have the same issue in 18.10, I can reliably reproduce it by putting me laptop into sleep mode and waking it back up.

Sebastien Bacher (seb128) wrote :

Andrea, could you have a look?

Changed in gnome-shell-extension-ubuntu-dock (Ubuntu):
status: Incomplete → New
assignee: nobody → Andrea Azzarone (azzar1)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell-extension-ubuntu-dock (Ubuntu):
status: New → Confirmed
Andrea Azzarone (azzar1) wrote :

> The best way to get it fixed is to be able to disable mod extensions, which is something I'm working on, and you can follow it on https://gitlab.gnome.org/GNOME/gnome-shell/merge_requests/2. This will probably be for dingo.

The correct link is https://gitlab.gnome.org/GNOME/gnome-shell/merge_requests/2

Andrea Azzarone (azzar1) on 2018-11-12
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu):
status: Confirmed → In Progress
Mike L (mikerl) wrote :

I did a clean install of Cosmic and the bug is present as well for me also.

Mike L (mikerl) wrote :

Land for dingo? What are the possibilities of a backport to both 18.04 and 18.10? Couldn't this be considered a security vulnerability? It can theoretically be used to close someone else's work out without saving, depending on the application.

Download full text (3.8 KiB)

There is not yet a fix for this problem. Do you known any reliable way to
reproduce it?

Il giorno lun 12 nov 2018, 23:50 Mike L <email address hidden> ha
scritto:

> Land for dingo? What are the possibilities of a backport to both 18.04
> and 18.10? Couldn't this be considered a security vulnerability? It can
> theoretically be used to close someone else's work out without saving,
> depending on the application.
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1769383
>
> Title:
> Ubuntu dock/launcher is shown on the lock screen
>
> Status in gnome-shell package in Ubuntu:
> Incomplete
> Status in gnome-shell-extension-ubuntu-dock package in Ubuntu:
> In Progress
>
> Bug description:
> After an update from ubuntu 16.04 to 18.04 the dock is aviable on the
> lockscreen after user login.
> I did not configure this knowingly. Also i can start every application
> which is available on the dock.
> Settings, virtual box, visualstudio code and so on.
>
> After the update to 18.04 i just configure the screen frequency to
> 144Hz and the night mode on. And attach the dock on bottom.
>
> I later undid these customizations back to configuration before, but
> the dock is stil aviable on lockscreen.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.04
> Package: gnome-settings-daemon 3.28.1-0ubuntu1
> ProcVersionSignature: Ubuntu 4.15.0-20.21-generic 4.15.17
> Uname: Linux 4.15.0-20-generic x86_64
> NonfreeKernelModules: nvidia_modeset nvidia
> ApportVersion: 2.20.9-0ubuntu7
> Architecture: amd64
> CurrentDesktop: ubuntu:GNOME
> Date: Sat May 5 18:30:16 2018
> InstallationDate: Installed on 2018-04-08 (27 days ago)
> InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64
> (20180228)
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=de_DE.UTF-8
> SHELL=/bin/bash
> SourcePackage: gnome-settings-daemon
> UpgradeStatus: Upgraded to bionic on 2018-05-01 (3 days ago)
> ---
> ApportVersion: 2.20.9-0ubuntu7
> Architecture: amd64
> CurrentDesktop: ubuntu:GNOME
> DistroRelease: Ubuntu 18.04
> InstallationDate: Installed on 2018-04-08 (27 days ago)
> InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64
> (20180228)
> NonfreeKernelModules: nvidia_modeset nvidia
> Package: gnome-shell-extension-ubuntu-dock 0.9.1
> PackageArchitecture: all
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=de_DE.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 4.15.0-20.21-generic 4.15.17
> Tags: bionic
> Uname: Linux 4.15.0-20-generic x86_64
> UpgradeStatus: Upgraded to bionic on 2018-05-01 (4 days ago)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> _MarkForUpload: True
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1769383/+subscriptions
>
> Launchpad-Notification-Type: bug
> Launchpad-Bug: distribution=ubuntu; sourcepackage=gnome-shell;
> component=main; status=Incomplete; importance=High; assignee=None;
>...

Read more...

Anders L. (vithiri) wrote :

This happens on a clean installation of 18.10 here as well, and I'd like to point out that the window miniature previews are clearly visible and in some cases even readable from the lock screen by right clicking the application icons and selecting "All Windows".

Iain Lane (laney) on 2018-11-13
tags: added: rls-cc-incoming rls-dd-incoming
Iain Lane (laney) on 2018-11-13
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Cosmic):
status: New → In Progress
assignee: nobody → Andrea Azzarone (azzar1)
Changed in gnome-shell (Ubuntu Cosmic):
status: New → Incomplete
Mike L (mikerl) wrote :

Unfortunately I have no clue what triggers the bug as of yet.

Kilian Pfeiffer (k1l1) wrote :

I hope you can fix it. This is super annoying for me and also a security issue because I don't always notice that the dock got unresponsive and also the locking does not work properly. I often press 'super+L' and rush away from my desk and then later see that the laptop didn't properly lock.

pdrd (pdrd) wrote :

@azzar1 Did you try out the suggested fix by @mchaberski? The enable() function sets dockManager intially to null and then calls conditionallyenabledock(). But in the disable() function always dockManager.destroy() gets called without a type-check raising a TypeError. I think the null-check should be implemented in any way.

This would explain why the suggested fix by @didrocks is working by disabling mod extensions, because disable() is not getting called anymore.

Maybe someone can try out if the code change fixes the bug for the normal dock, cause i am using dash-to-dock.

Daniel van Vugt (vanvugt) wrote :

Developers can't test and verify a fix until they are able to reproduce the bug. That's what comment #29 is about.

pdrd (pdrd) wrote :

Sorry, i missed comment #29, but there are a lot of bug reports out there, some of them over a year old, which describe the same issue.

My reproduction steps, tested on a virtualbox machine:

1) Fresh-Install Ubuntu 18.0.4.1 LTS
2) Install package 'chrome-gnome-shell'
3) Navigate to https://extensions.gnome.org/extension/307/dash-to-dock, install firefox/chrome extension and install dash-to-dock extension.
4) Restart
5) On next lock the ubuntu-dock reappears and the following journalctl /usr/bin/gnome-shell output is generated:

Nov 15 12:53:15 ubuntu gnome-shell[1143]: Extension "<email address hidden>" had error: TypeError: dockManager is null

The suggested fix is resolving this and a quick look into https://git.launchpad.net/ubuntu/+source/gnome-shell-extension-ubuntu-dock/tree/extension.js?h=ubuntu/bionic exposes, that the issue is a simple missing null-check in the disable() function where dockManager.destroy() is called on a null-instance, which should be added in either way.

Daniel van Vugt (vanvugt) wrote :

This bug is about the default Ubuntu dock. People installing any additional custom extensions such as dash-to-dock should ideally not comment on bugs in Launchpad until after they have removed the extra extensions.

Although it is useful to know if and when some bugs are caused by third party extensions, I don't think this bug falls into that category...?

James Henstridge (jamesh) wrote :

I noticed this behaviour on my Ubuntu 18.10 system. It is running the Wayland session, and I only have the <email address hidden> and <email address hidden> extensions installed (i.e. no upstream dash-to-dock).

I looked in the journal and found the attached GJS stack trace, which seems to be triggered by the disable() call. I haven't been manually enabling/disabling extensions, so don't know why the code path would have been triggered. It might mean some crud was left behind though.

Plurtu (plurtu) wrote :

@jamesh your stack trace is caused by Ubuntu Dock's dynamic transparency which I mentioned before in Comment #17 and can be disabled with the following terminal command:

gsettings set org.gnome.shell.extensions.dash-to-dock transparency-mode FIXED

James Henstridge (jamesh) wrote :

The above stack trace seems to be tied to this other message:

Nov 16 11:41:38 scruffy gnome-shell[5626]: Object Meta.WindowActor (0x560d5092bb00), has been already deallocated — impossible to access it. This might be caused by the object having been destroyed from C code using something such as destroy(), dispose(), or remove() vfuncs.

The error seems to be on the disconnect() call in Transparency.disable():

        for (let key of this._trackedWindows.keys())
            this._trackedWindows.get(key).forEach(id => {
                key.disconnect(id);
            });
        this._trackedWindows.clear();

Presumably the remainder of the clean-up performed by this function and its callers is not performed, leaving the shell in an inconsistent state.

I'm still not sure why gnome-shell is trying to disable the extension. Does it disable extensions when locking the screen?

James Henstridge (jamesh) wrote :

Looking at the gnome-shell JS code referenced by the stack trace, it appears it is indeed disabling extensions when locking the screen.

The screenShield.js code handles the lock screen, and pushes and pops a "session mode" of "lock-screen". In sessioMode.js, the "lock-screen" mode is defined with allowExtensions=false. Finally, extensionSystem.js watches session mode changes and calls the various extension enable/disable callbacks as needed.

So somehow ubuntu-dock has a stale window in Transparency._trackedWindows that triggers an exception while trying to disable the dock when locking the screen. It fails to fully disable the dock, so it displays over the top of the lock screen.

Iain Lane (laney) on 2018-11-20
tags: removed: rls-cc-incoming rls-dd-incoming
Iain Lane (laney) on 2018-11-20
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Bionic):
assignee: nobody → Andrea Azzarone (azzar1)
Changed in gnome-shell (Ubuntu Disco):
assignee: nobody → Andrea Azzarone (azzar1)
Changed in gnome-shell (Ubuntu Cosmic):
assignee: nobody → Andrea Azzarone (azzar1)
Changed in gnome-shell (Ubuntu Bionic):
assignee: nobody → Andrea Azzarone (azzar1)
Andrea Azzarone (azzar1) on 2018-11-20
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Bionic):
status: New → In Progress
Changed in gnome-shell (Ubuntu Bionic):
status: New → Confirmed
Andrea Azzarone (azzar1) on 2018-11-22
Changed in gnome-shell (Ubuntu Bionic):
status: Confirmed → Invalid
Changed in gnome-shell (Ubuntu Cosmic):
status: Incomplete → Invalid
Changed in gnome-shell (Ubuntu Disco):
status: Incomplete → Invalid
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Disco):
status: In Progress → Fix Committed
tags: added: patch
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Disco):
status: Fix Committed → Fix Released
Andrea Azzarone (azzar1) on 2018-11-30
description: updated
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Bionic):
importance: Undecided → High
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Cosmic):
importance: Undecided → High
Hermann (felixedelmann) on 2018-12-07
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Cosmic):
status: In Progress → Fix Released
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Cosmic):
status: Fix Released → In Progress
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Cosmic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-cosmic
tags: added: verification-done verification-done-cosmic
removed: verification-needed verification-needed-cosmic
38 comments hidden view all 118 comments

Jesse Running "apt-cache policy <Package name>" shows the version of the package installed

Jesse (yavyash) wrote :

Yes, it's version 63ubuntu1.18.10.1. I just couldn't remember if that was also the pre-update version number. But I guess it wouldn't have pulled in the update if the version number wasn't different.

Don't forget to change the tags to verification-failed if the new package doesn't fix the issue. From what you said it's still present, at least for you.

Jesse (yavyash) on 2019-01-11
tags: added: verification-failed verification-failed-cosmic
removed: verification-done verification-done-cosmic
Simon May (socob) wrote :

I can also confirm that this issue still occurs even with the version in -proposed. The only difference I’ve noticed with the new version is that the text on the keyboard layout indicator sometimes disappears.

I've noticed the text on the keyboard layout indicator disappear too.

Jesse (yavyash) wrote :

A bit more information potentially useful for debugging:

 * Once the bug occurs once, it keeps recurring every time the screen locks at least until gnome-shell is restarted. (It's possible it only occurs on idle; I forgot to test manual lock before restarting gnome-shell and losing the buggy behavior.)

 * I, too, get the problem where mousing over some dock icons (particularly ones that are not pinned) causes the icon spacing to expand, leading to a bit of sideways jitter. This does not happen every time. Strangely, when it does happen, I *don't* get the problem where my non-GNOME tray icons (Dropbox, Skype, etc.) disappear after unlocking.

 * With more careful experimentation, I was able to isolate some journalctl errors from the time of locking and the time of unlocking. I've attached the journalctl output.

Kilian Pfeiffer (k1l1) wrote :

I can also confirm with
gnome-shell-extension-ubuntu-dock:
  Installed: 63ubuntu1.18.10.1
  Candidate: 63ubuntu1.18.10.1
  Version table:
 *** 63ubuntu1.18.10.1 500
        500 http://de.archive.ubuntu.com/ubuntu cosmic-proposed/main amd64 Packages
        500 http://de.archive.ubuntu.com/ubuntu cosmic-proposed/main i386 Packages
        100 /var/lib/dpkg/status
     63ubuntu1 500
        500 http://de.archive.ubuntu.com/ubuntu cosmic/main amd64 Packages
        500 http://de.archive.ubuntu.com/ubuntu cosmic/main i386 Packages

the bug still occurs.

Andrea Azzarone (azzar1) wrote :

I proposed a fix upstream here: https://github.com/micheleg/dash-to-dock/pull/868

Hopefully, this will be uploaded in Disco in the next few days and should be SRUed both in Cosmic and Bionic in the next few weeks. Thanks!

Ads20000 (ads20000) wrote :

In response to comments complaining about fix times etc, I do not think complaining in comments helps, it just creates noise. There's a button at the top to mark oneself as affected by the bug as a replacement for making that kind of comment (one can argue that it should been marked as Critical rather than High because this is a security issue, however). If you want to complain about bug response times, I suggest making a new topic on community.ubuntu.com/c/desktop and make practical suggestions about how they could be made faster.

Additionally, someone mentioned that this should have been in the release notes. I think you can mark this bug as affecting the ubuntu-release-notes project to flag up the fact that you believe that it should be in the release notes, though I can't remember if release notes can be amended post-release or not?

I recognize that I'm creating noise myself by posting this comment...

Daniel van Vugt (vanvugt) wrote :

This bug is certainly hotter than any other recent bug affecting 19.04 (for example) that I can find. So we should give it high priority as we have. And the fact that it's a security bug is already shown separately in the top right of the page.

Andrea has already mentioned in comment #86 that he has a fix, and it appears to have landed upstream only 5 hours ago: https://github.com/micheleg/dash-to-dock/pull/868

So fixes to 18.10 and 18.04 should follow soon.

P.S. The release notes are editable here:
https://wiki.ubuntu.com/BionicBeaver/ReleaseNotes
https://wiki.ubuntu.com/CosmicCuttlefish/ReleaseNotes

1 comments hidden view all 118 comments
Andrea Azzarone (azzar1) wrote :

The fix has already been released in disco: https://launchpad.net/ubuntu/+source/gnome-shell-extension-ubuntu-dock/64ubuntu2

We're already working to backport (SRU) the fix in cosmic. The fix will hit cosmic-proposed soon and you'll be notified as soon this happens. Thanks!

Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Cosmic):
status: Fix Committed → In Progress
Miakoda Combies (hellomiakoda) wrote :

The proposed work-around, setting dash-to-dock's opacity to fixed, does not accomplish anything on my system.
Ubuntu 18.10 - Gnome 3.30.2

Hello Jenka, or anyone else affected,

Accepted gnome-shell-extension-ubuntu-dock into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-shell-extension-ubuntu-dock/63ubuntu1.18.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Cosmic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-cosmic
removed: verification-failed verification-failed-cosmic
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Brian Murray (brian-murray) wrote :

Hello Jenka, or anyone else affected,

Accepted gnome-shell-extension-ubuntu-dock into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-shell-extension-ubuntu-dock/0.9.1ubuntu18.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Brian Murray (brian-murray) wrote :

Hello Jenka, or anyone else affected,

Accepted gnome-shell-extension-ubuntu-dock into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-shell-extension-ubuntu-dock/0.9.1ubuntu18.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Is there a way to reliably reproduce the bug? Because, for me, it happens randomly.

Daniel van Vugt (vanvugt) wrote :

In my case I think it happens for any lock after gnome-shell (on Xorg) has already crashed and restarted itself (the panels disappear and then reappear). Thereafter screen locking is broken.

Edvin Rab (blackwicked) wrote :

After updating the the latest version:

* The dock is not visible on lock screen anymore
* After coming back from lock screen and opening Activities or Applications I still see a duplicate dock (screenshot attached)
* The keyboard layout indicator is gone, need to select a language manually to make it visible again (also visible on the screenshot) and this bug was mentioned already in comments #82 and #83 in this thread.

Download full text (6.8 KiB)

Did you restart your system? Also the keyboard layout bug is a different
issue.

On Wed, Jan 23, 2019 at 2:21 PM Edvin Rab <email address hidden>
wrote:

> After updating the the latest version:
>
> * The dock is not visible on lock screen anymore
> * After coming back from lock screen and opening Activities or
> Applications I still see a duplicate dock (screenshot attached)
> * The keyboard layout indicator is gone, need to select a language
> manually to make it visible again (also visible on the screenshot) and this
> bug was mentioned already in comments #82 and #83 in this thread.
>
> ** Attachment added: "Screenshot from 2019-01-23 14-58-44.png"
>
> https://bugs.launchpad.net/ubuntu/cosmic/+source/gnome-shell-extension-ubuntu-dock/+bug/1769383/+attachment/5231750/+files/Screenshot%20from%202019-01-23%2014-58-44.png
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1769383
>
> Title:
> Ubuntu dock/launcher is shown on the lock screen
>
> Status in gnome-shell package in Ubuntu:
> Invalid
> Status in gnome-shell-extension-ubuntu-dock package in Ubuntu:
> Fix Released
> Status in gnome-shell source package in Bionic:
> Invalid
> Status in gnome-shell-extension-ubuntu-dock source package in Bionic:
> Fix Committed
> Status in gnome-shell source package in Cosmic:
> Invalid
> Status in gnome-shell-extension-ubuntu-dock source package in Cosmic:
> Fix Committed
> Status in gnome-shell source package in Disco:
> Invalid
> Status in gnome-shell-extension-ubuntu-dock source package in Disco:
> Fix Released
>
> Bug description:
> [Impact]
> When entering the lock-screen mode, gnome-shell disables all the
> extensions. It can happen that under certain conditions ubuntu-dock
> re-enables itself, causing the ubuntu-dock to appear in the lock-screen,
> exposing sensitive information. One possible way to reproduce this is to
> enable dash-to-dock and ubuntu-dock at the same time.
>
> [Test Case]
> 1. Make sure ubuntu-dock is enabled
> 2. Enable dash-to-dock too
> 3. Lock the screen
> 4. Make sure the dock does not appear on the lock screen
> 5. Make sure there is no warning is the journal
>
> [Possible Regressions]
> Even if it's something we don't really support please make sure that you
> can use dash-to-dock without uninstalling ubuntu-dock.
>
> [Original Bug]
>
> After an update from ubuntu 16.04 to 18.04 the dock is aviable on the
> lockscreen after user login.
> I did not configure this knowingly. Also i can start every application
> which is available on the dock.
> Settings, virtual box, visualstudio code and so on.
>
> After the update to 18.04 i just configure the screen frequency to
> 144Hz and the night mode on. And attach the dock on bottom.
>
> I later undid these customizations back to configuration before, but
> the dock is stil aviable on lockscreen.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.04
> Package: gnome-settings-daemon 3.28.1-0ubuntu1
> ProcVersionSignature: Ubuntu 4.15.0-20.21-generic 4.15.17
> Uname: Linux 4.15.0-20-generic x86_64
> NonfreeKernelModules: nvidia_modeset nvidia
> ApportVe...

Read more...

Edvin Rab (blackwicked) wrote :

Yes, I have restarted my system, in fact several times before writing here. Note that I have a fresh Ubuntu 18.10 system - installed few days ago, with all settings on default. Have not tweaked anything, using everything as it was packaged. Added only few gnome-shell-extensions, which should not be a problem ideally:

* Dash to dock
* Kstatusnotifieritem/appindicator support
* Topicons plus (disabled)
* Ubuntu dock
* Window is ready - notification remover

I also disabled automatic screen lock, so the system runs normally when I need it. But when I lock it manually I can reproduce the bug every single time; duplicate dock and missing keyboard layout indicator.

Is there a separate bug report for the keyboard layout bug I can follow? Seems kinda related though...

Edvin Rab (blackwicked) wrote :

With cosmic-backports and cosmic-proposed repositories enabled, I get the following response:

$ sudo apt list gnome-shell-extension-ubuntu-dock -a
Listing... Done
gnome-shell-extension-ubuntu-dock/now 63ubuntu1.18.10.2 all [installed,local]
gnome-shell-extension-ubuntu-dock/cosmic,cosmic 63ubuntu1 all

Please confirm if that is the latest version I should have. I presume so, because there was an update recently and it fixed the visible dock bug in the lock screen. The other two issues are still present unfortunately.

I won't spam this thread, if you need me to test specific scenarios or new versions just let me know.

A computer that doesn't have any proposed packages installed also exhibits the language indicator bug, so it's probably not related to the packages for this issue.

Rondo5000 (lsdustin) wrote :

I wanted to chime in to report that the released bionic fix ( gnome-shell-extension-ubuntu-dock_0.9.1ubuntu18.04.3_all.deb ) has indeed seemed to correct this issue on my system. I am running the stock Ubuntu dock variant and not the dash-to-dock extension version, which is what I suspect may be a continued cause of problems for others are still having the issue.

Within the last two or so weeks the issue was inexplicably occurring with such a high prevalence that I thought I was going to have to switch to a new desktop environment. I had the password prompt on the shutter screen disabled, and in that case once the dock appeared above the shutter the only way to regain control of the system was to drop to a shell and run "killall -HUP gnome-shell."

Thankfully, disabling transparency effects for the dock did remedy the issue. I re-enabled transparency with the patch and things seem to be working fine. I have only had to restart Gnome once because of an incident where the shutter would not raise correctly, but the dock was not visible so I cannot say if it is related to this or just a one-off fluke.

Andrea Azzarone (azzar1) wrote :

@blackwicked, you're still affected by the issue because you manually installed the extension "Dash to dock". Please try to remove it (or manually patch it), restart your shell (alt+f2 and then 'r') an.d let me know if you can still reproduce the issue

Edvin Rab (blackwicked) wrote :

@azzar1 Thank you, when I disable the Dash to dock gnome extension and restart the shell, the duplicate dock disappears. Although I lose the extra configuration options it provides... which was kinda the reason why I installed it in the first place.

The Ubuntu dock description says: "... dash to dock can be installed to replace it ...", so one would expect that it will really replace it, not to duplicate it.

Something is still not right here though, namely that if Dash to dock is enabled, a second dock appears only after the screen is unlocked. I'm not familiar with the process behind, so I don't know why it happens only then - and not every time when the system starts, but at least now we have a clear case how to reproduce.

I understand if you consider these as a different bug, I can create another bug report or something if you prefer; both for the dock duplication and for the missing keyboard layout indicator issues. Anyways, the main problem successfully solved, the dock is not visible anymore on the lock screen.

tags: added: verification-done verification-done-bionic verification-done-cosmic
removed: verification-needed verification-needed-bionic
tags: removed: verification-needed-cosmic
賴家亨 (laichiaheng) wrote :

Is it fixed? If so, please release it, Ubuntu is the best distro!!

Looks like this in my Ubuntu LTS installation
https://photos.app.goo.gl/mms3p4Qyd4n7YdaW8

MainframeX (mainframex) on 2019-01-26
information type: Public Security → Private Security
information type: Private Security → Public Security
Dimtiris Grigor (lside) wrote :

I had the same issue. When computer goes to lock screen the dock is visible and when i enter password to log in top bar crashes. Also i can't control other open windows or access dock. It stopped when i removed "Top Panel Workspace Scroll" and "Workspace Indicator" extensions. Hope this information helps.

Ahmad Amr (aamr) wrote :

I have just enabled proposed and upgraded to gnome-shell-extension-ubuntu-dock (63ubuntu1.18.10.2).
The issue seems to be solved, but I believe it will need more time for testing.

I cannot believe such a high-severity bug has been around since early May, 2018, on both 18.04 LTS and 18.10. Shame on you Canonical!!

Edvin Rab (blackwicked) wrote :

For anyone else affected by the missing keyboard layout indicator issue, I believe this is the bug report you should follow:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1812266

Adrien Béraud (wagaf) wrote :

I just don't understand how such a major issue can stay unfixed for more than 6 months. Does anyone at Canonical actually uses Ubuntu ? Sorry for being a bit harsh.

Daniel van Vugt (vanvugt) wrote :

This bug does not affect everyone, which is one possible reason. Certainly I had never experienced it till just a week or so ago.

Just because this is the "hottest" desktop bug at the moment does not mean most people ever see it. It just means this bug is being discussed more than other bugs.

Michael Fosgerau (mfosgerau) wrote :

I just got hit by this bug today. I'm on ubuntu 18.10 and have everything up-to-date.

This is a extreemely serious privacy bug, as details can easily be seen for all open programs showning up in the dock-panel. See attached images.

Andrea Azzarone (azzar1) wrote :
Download full text (6.7 KiB)

Do you have the proposed repositories enabled?

Il giorno mar 29 gen 2019, 10:51 Michael Fosgerau <
<email address hidden>> ha scritto:

> I just got hit by this bug today. I'm on ubuntu 18.10 and have
> everything up-to-date.
>
> This is a extreemely serious privacy bug, as details can easily be seen
> for all open programs showning up in the dock-panel. See attached
> images.
>
> ** Attachment added: "Screenshot showing leaked privacy data for any open
> application"
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-shell-extension-ubuntu-dock/+bug/1769383/+attachment/5233583/+files/privacy-leak-2.png
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1769383
>
> Title:
> Ubuntu dock/launcher is shown on the lock screen
>
> Status in gnome-shell package in Ubuntu:
> Invalid
> Status in gnome-shell-extension-ubuntu-dock package in Ubuntu:
> Fix Released
> Status in gnome-shell source package in Bionic:
> Invalid
> Status in gnome-shell-extension-ubuntu-dock source package in Bionic:
> Fix Committed
> Status in gnome-shell source package in Cosmic:
> Invalid
> Status in gnome-shell-extension-ubuntu-dock source package in Cosmic:
> Fix Committed
> Status in gnome-shell source package in Disco:
> Invalid
> Status in gnome-shell-extension-ubuntu-dock source package in Disco:
> Fix Released
>
> Bug description:
> [Impact]
> When entering the lock-screen mode, gnome-shell disables all the
> extensions. It can happen that under certain conditions ubuntu-dock
> re-enables itself, causing the ubuntu-dock to appear in the lock-screen,
> exposing sensitive information. One possible way to reproduce this is to
> enable dash-to-dock and ubuntu-dock at the same time.
>
> [Test Case]
> 1. Make sure ubuntu-dock is enabled
> 2. Enable dash-to-dock too
> 3. Lock the screen
> 4. Make sure the dock does not appear on the lock screen
> 5. Make sure there is no warning is the journal
>
> [Possible Regressions]
> Even if it's something we don't really support please make sure that you
> can use dash-to-dock without uninstalling ubuntu-dock.
>
> [Original Bug]
>
> After an update from ubuntu 16.04 to 18.04 the dock is aviable on the
> lockscreen after user login.
> I did not configure this knowingly. Also i can start every application
> which is available on the dock.
> Settings, virtual box, visualstudio code and so on.
>
> After the update to 18.04 i just configure the screen frequency to
> 144Hz and the night mode on. And attach the dock on bottom.
>
> I later undid these customizations back to configuration before, but
> the dock is stil aviable on lockscreen.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.04
> Package: gnome-settings-daemon 3.28.1-0ubuntu1
> ProcVersionSignature: Ubuntu 4.15.0-20.21-generic 4.15.17
> Uname: Linux 4.15.0-20-generic x86_64
> NonfreeKernelModules: nvidia_modeset nvidia
> ApportVersion: 2.20.9-0ubuntu7
> Architecture: amd64
> CurrentDesktop: ubuntu:GNOME
> Date: Sat May 5 18:30:16 2018
> InstallationDate: Installed on 2018-04-08 (27 days ago)
> InstallationMedia: Ubuntu 16.04.4 LTS "Xenia...

Read more...

The proposed package seems to fix the issue for me on Ubuntu 18.10

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell-extension-ubuntu-dock - 63ubuntu1.18.10.2

---------------
gnome-shell-extension-ubuntu-dock (63ubuntu1.18.10.2) cosmic; urgency=medium

  [ Andrea Azzarone ]
  * theming: Ensure _trackingWindows contains valid windows (LP: #1769383)

 -- Marco Trevisan (Treviño) <email address hidden> Tue, 15 Jan 2019 22:35:34 +0100

Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gnome-shell-extension-ubuntu-dock has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell-extension-ubuntu-dock - 0.9.1ubuntu18.04.3

---------------
gnome-shell-extension-ubuntu-dock (0.9.1ubuntu18.04.3) bionic; urgency=medium

  [ Daniel van Vugt ]
  * Avoid repainting an unchanging dock (LP: #1743976).

  [ Andrea Azzarone ]
  * theming: Ensure _trackingWindows contains valid windows (LP: #1769383)
  * extension: Ensure signal disconnection (LP: #1769383)

 -- Marco Trevisan (Treviño) <email address hidden> Mon, 21 Jan 2019 11:39:02 +0100

Changed in gnome-shell-extension-ubuntu-dock (Ubuntu Bionic):
status: Fix Committed → Fix Released
Displaying first 40 and last 40 comments. View all 118 comments or add a comment.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.